Bug 864941 - Review Request: subsurface - Rough divelog in C and Gtk
Review Request: subsurface - Rough divelog in C and Gtk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 08:53 EDT by Pierre-YvesChibon
Modified: 2012-12-20 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2012-10-10 08:53:05 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs//subsurface.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//subsurface-2.0.1-1.fc17.src.rpm

Description:
Subsurface is an open source dive log program.

Developed in C using GTK+-2.0, glib-2 and libxml-2, it relies on
libdivecomputer to connect to the dive computer and thus support
all the dive computer supported by libdivecomputer.
Comment 1 Mario Blättermann 2012-10-10 19:34:22 EDT
Taking this for review. Be patient, could need some days.

I had a first look at the spec. Some issues:

%{_mandir}/man1/%{name}.1.gz

Currently our man pages are gzipped, but this could change in the future. Please use

%{_mandir}/man1/%{name}.1.*

and remove the trailing whitespace.



To make sure that subsurface picks up the right version of libdivecomputer in any case, you could use a %global definition:

%global libdivecomputerversion 0.2.0
...
BuildRequires:  libdivecomputer-devel == %{libdivecomputerversion}
BuildRequires:  libdivecomputer-static == %{libdivecomputerversion}
...
Requires:       libdivecomputer == %{libdivecomputerversion}


glib2-devel is a recursive dependency of gtk2-devel, you might drop it.
Comment 2 Pierre-YvesChibon 2012-10-11 01:29:39 EDT
These are details which are not blocking for the review, I will change them at import or all in one go if there are other changes to make.
Comment 3 Mario Blättermann 2012-10-15 14:28:49 EDT
Scratch build fails for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4592224

/var/tmp/rpm-tmp.p9rc6U: line 37: desktop-file-install: command not found

The package desktop-file-utils has to be added to BuildRequires.
Comment 4 Pierre-YvesChibon 2012-10-17 02:20:10 EDT
Thanksfor the feed-back, there is the update:

Spec URL: http://pingou.fedorapeople.org/RPMs//subsurface.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//subsurface-2.0.1-2.fc17.src.rpm

Changes:
- Use the macro libdc_version in the R and BR
- Add desktop-file-utils as BR
(and the files section)
Comment 5 Mario Blättermann 2012-10-17 15:46:02 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4601057

$ rpmlint -i -v *
subsurface.src: I: checking
subsurface.src: W: spelling-error Summary(en_US) divelog -> dive log, dive-log, livelong
The value of this tag appears to be misspelled. Please double-check.

subsurface.src: W: spelling-error %description -l en_US libxml -> Librium
The value of this tag appears to be misspelled. Please double-check.

subsurface.src: W: spelling-error %description -l en_US libdivecomputer -> microcomputer
The value of this tag appears to be misspelled. Please double-check.

subsurface.src: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface.src: W: invalid-url Source0: torvalds-subsurface-v2.0.1-0-g14856aa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

subsurface.i686: I: checking
subsurface.i686: W: spelling-error Summary(en_US) divelog -> dive log, dive-log, livelong
The value of this tag appears to be misspelled. Please double-check.

subsurface.i686: W: spelling-error %description -l en_US libxml -> Librium
The value of this tag appears to be misspelled. Please double-check.

subsurface.i686: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface.x86_64: I: checking
subsurface.x86_64: W: spelling-error Summary(en_US) divelog -> dive log, dive-log, livelong
The value of this tag appears to be misspelled. Please double-check.

subsurface.x86_64: W: spelling-error %description -l en_US libxml -> Librium
The value of this tag appears to be misspelled. Please double-check.

subsurface.x86_64: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface-debuginfo.i686: I: checking
subsurface-debuginfo.i686: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface-debuginfo.x86_64: I: checking
subsurface-debuginfo.x86_64: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface.spec: W: invalid-url Source0: torvalds-subsurface-v2.0.1-0-g14856aa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 9 warnings.


Some ignorable spelling errors. Some remaining issues, though:

Don't mix $RPM_BUILD_ROOT and %{buildroot}.

Regarding the license, the README file says GPLv2, and "licensecheck -r ./" delivers no file header which could contain the "newer versions" clause.
Comment 6 Pierre-YvesChibon 2012-10-18 17:19:34 EDT
- License changed
- %{buildroot} replaced by $RPM_BUILD_ROOT

Updated files:
Spec URL: http://pingou.fedorapeople.org/RPMs//subsurface.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs//subsurface-2.0.1-3.fc17.src.rpm

Thanks for the review!
Comment 7 Mario Blättermann 2012-10-19 17:06:40 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4608865

$ rpmlint -i -v *subsurface.src: I: checking
subsurface.src: W: spelling-error Summary(en_US) divelog -> dive log, dive-log, livelong
The value of this tag appears to be misspelled. Please double-check.

subsurface.src: W: spelling-error %description -l en_US libxml -> Librium
The value of this tag appears to be misspelled. Please double-check.

subsurface.src: W: spelling-error %description -l en_US libdivecomputer -> microcomputer
The value of this tag appears to be misspelled. Please double-check.

subsurface.src: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface.src: W: invalid-url Source0: torvalds-subsurface-v2.0.1-0-g14856aa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

subsurface.i686: I: checking
subsurface.i686: W: spelling-error Summary(en_US) divelog -> dive log, dive-log, livelong
The value of this tag appears to be misspelled. Please double-check.

subsurface.i686: W: spelling-error %description -l en_US libxml -> Librium
The value of this tag appears to be misspelled. Please double-check.

subsurface.i686: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface.x86_64: I: checking
subsurface.x86_64: W: spelling-error Summary(en_US) divelog -> dive log, dive-log, livelong
The value of this tag appears to be misspelled. Please double-check.

subsurface.x86_64: W: spelling-error %description -l en_US libxml -> Librium
The value of this tag appears to be misspelled. Please double-check.

subsurface.x86_64: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface-debuginfo.i686: I: checking
subsurface-debuginfo.i686: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface-debuginfo.x86_64: I: checking
subsurface-debuginfo.x86_64: I: checking-url https://github.com/torvalds/subsurface (timeout 10 seconds)
subsurface.spec: W: invalid-url Source0: torvalds-subsurface-v2.0.1-0-g14856aa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 9 warnings.


No recognizable issues anymore.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    c915ce10fa9b932eb71f43df96458b1e8b4af313ffcde1b83234db4ad14b8a62  torvalds-subsurface-v2.0.1-0-g14856aa.tar.gz
    c915ce10fa9b932eb71f43df96458b1e8b4af313ffcde1b83234db4ad14b8a62  torvalds-subsurface-v2.0.1-0-g14856aa.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 8 Pierre-YvesChibon 2012-10-19 17:15:46 EDT
Thanks for the review


New Package SCM Request
=======================
Package Name: subsurface
Short Description: Rough divelog in C and Gtk
Owners: pingou
Branches: F-17 F-18 devel
InitialCC:
Comment 9 Gwyn Ciesla 2012-10-20 09:20:45 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-10-23 02:50:40 EDT
subsurface-2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/subsurface-2.1-1.fc18
Comment 11 Fedora Update System 2012-10-23 03:06:16 EDT
subsurface-2.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/subsurface-2.1-1.fc17
Comment 12 Fedora Update System 2012-10-23 15:47:23 EDT
subsurface-2.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2012-12-20 10:26:55 EST
subsurface-2.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.